marsha/urls.py
from django.urls import path

from . import views

urlpatterns = [
    path('', views.home, name='marsha'),
    path('cs/', views.comingsoon, name = 'comingsoon'),
]

story1/urls.py
from django.urls import path

from . import views

urlpatterns = [
    path('', views.story1, name='story1'),
]

story4ku/urls.py
from django.contrib import admin
from django.urls import include, path

urlpatterns = [
    path('admin/', admin.site.urls),
    path('', include('marsha.urls')),
    path('story1/', include('story1.urls')),
    path('story5/', include('story5.urls')),
    path('story7/', include('story7.urls')),
    path('story8/', include('story8.urls')),
    path('story9/', include('story9.urls')),
]

story5/urls.py
from django.urls import path

from . import views

urlpatterns = [
    path('', views.matkul, name='matkul'),
    path('delete/<int:id>', views.delete, name = 'delete'),
    path('detail/<int:id_detail>', views.detail, name = 'detail'),
    path('form/', views.formku, name = 'forms'),
]

story7/urls.py
from django.urls import path

from . import views

urlpatterns = [
    path('', views.pamer, name='pamer'),
]

story8/urls.py
from . import views
from django.urls import path


urlpatterns = [
    path('', views.mencari, name="mencari"),
    path('library/', views.library, name="library")
]

story9/urls.py
from django.urls import path, include
from . import views

app_name = 'story9'

urlpatterns = [
    # path('',views.home9,name="home9"),
    path('',include("django.contrib.auth.urls")),
    path('register',views.register9,name='register9'),
    path('logged_in',views.logged_in9,name='logged_in9'),
]

marsha/models.py
from django.db import models

# Create your models here.

class KelasModel(models.Model):
    nama = models.CharField(
        max_length = 30,
        )
    dosen = models.CharField(max_length = 30)
    sks = models.CharField(max_length = 10,
        choices= [
            ('1','1'),
            ('2','2'),
            ('3','3'),
            ('4','4'),
            ('5','5'),
            ('6','6'),   

        ],
    )
    deskripsi = models.CharField(max_length = 100)
    smt = models.CharField(max_length =10,
        choices = [
            ('Gasal','Gasal'),
            ('Genap','Genap'),
        ],
        default = "Gasal"
    )
    TA = models.CharField(
        max_length = 50,
        choices = [
            ('2019/2020','2019/2020'),
            ('2020/2021','2020/2021'),
            ('2021/2022','2021/2022'),
            ('2022/2023','2022/2023'),
            ('2023/2024','2023/2024'),
        ],
    )    

    ruang = models.IntegerField()


    published = models.DateTimeField(auto_now_add=True)

    def __str__(self):
        return "{}. {}".format(self.id, self.nama)

story1/models.py
from django.db import models

# Create your models here.

story5/models.py
from django.db import models

# Create your models here.

story7/models.py
from django.db import models

# Create your models here.

story8/models.py
from django.db import models

# Create your models here.

story9/models.py
from django.db import models

# Create your models here.

story5/forms.py
from django import forms
from django.forms import ModelForm
from marsha.models import KelasModel

class KelasForm(forms.ModelForm):
    class Meta:
        model = KelasModel
        fields = [
            'nama',
            'dosen',
            'sks',
            'deskripsi',
            'smt',
            'TA',
            'ruang',
        ]

        widgets = {
            'nama': forms.TextInput(attrs={
                'class':'form-control',
                'placeholder':'Mata Kuliah'
            }
            ),
            'dosen': forms.TextInput(attrs={
                'class':'form-control',
                'placeholder':'Nama Dosen'
            }
            ),
            'deskripsi': forms.TextInput(attrs={
                'class':'form-control',
                'placeholder':'Deskripsi Mata Kuliah'
            }
            ),
            'smt': forms.RadioSelect(),
            'ruang': forms.TextInput(attrs={
                'class':'form-control',
                'placeholder':'Nomor Ruang'
            }
            ),
        }

marsha/views.py
from django.shortcuts import render, redirect, get_object_or_404
from django.http import HttpResponse
# Create your views here.


def home(request):
    return render(request, 'home.html')

def comingsoon(request):
    return render(request, 'comingsoon.html')

story1/views.py
from django.shortcuts import render
from django.http import HttpResponse
# Create your views here.

def story1(request):
    marsha = {'name': 'Muhammad Marsha Prawira', 'npm': '1906353864', 'age':'19',"faculty":'Fasilkom',"Hobby": "Eating"}
    return render(request,'rumah.html', marsha)

story5/views.py
from django.shortcuts import render, redirect
from marsha.models import KelasModel
from .forms import KelasForm

# Create your views here.

def matkul(request):
    posts = KelasModel.objects.all()
    kelas_form = KelasForm(request.POST or None)
    context = {
        'data_form': kelas_form,
        'posts':posts,
    }
    if request.method =='POST':
        if kelas_form.is_valid:
            kelas_form.save()

    return render(request, 'matkul.html', context)

def formku(request):
    posts = KelasModel.objects.all()
    kelas_form = KelasForm(request.POST or None)
    context = {
        'data_form': kelas_form,
        'posts':posts,
    }
    if request.method =='POST':
        if kelas_form.is_valid:
            kelas_form.save()

    return render(request, 'form.html', context)

def delete(request, id):
    KelasModel.objects.filter(id=id).delete()
    return redirect('')

def detail(request, id_detail):
    id_matkul = KelasModel.objects.get(id=id_detail)
    return render(request, 'detail.html', {'post': id_matkul})

story7/views.py
from django.shortcuts import render

# Create your views here.

def pamer(request):
    return render(request, 'pamer.html')

story8/views.py
from django.shortcuts import render
from django.http import HttpResponse, JsonResponse
import requests
import json

# Create your views here.


def mencari(request):
    return render(request, 'search.html')


def library(request):
    url = "https://www.googleapis.com/books/v1/volumes?q=" + request.GET['q']
    ret = requests.get(url)
    data = json.loads(ret.content)
    return JsonResponse(data, safe=False)

story9/views.py
from django.shortcuts import render, redirect
from django.contrib.auth import login, authenticate
from django.contrib.auth.forms import UserCreationForm

# Create your views here.
# def home9(request):
#     return render(request,'Story9/homelog.html')

def logged_in9(request):
    if request.user.is_authenticated:
        return render(request,'Story9/logged_in.html', {'nama':request.user.username})
    else:
        return redirect('/story9/login')

def register9(request):
    if request.user.is_authenticated:
        return redirect('/story9/logged_in')
    else:
        if request.method == 'POST':
            forms = UserCreationForm(request.POST)
            if forms.is_valid():
                forms.save()
                return redirect('/story9/login')

        form = UserCreationForm()
        return render(request, 'Story9/register.html', {"form":form})

marsha/templates/comingsoon.html
{% extends 'navbar.html' %}
{% load static %}
{% block content %}


<div style="background:transparent" class="jumbotron jumbotron-fluid">
    <div class="container">
      <h1 style="text-align: center;">Coming soon!</h1>
  </div> 
</div>


<div style="padding-top: 300px;">

</div>
{% endblock content %} 

marsha/templates/home.html
{% extends 'navbar.html' %}
{% load static %}
{% block content %}
<div style="background:transparent" class="jumbotron jumbotron-fluid">
    <div class="container">
      <h1>Hello,</h1>
      <h1 class="ml3">it's Marsha!</h1>
      <script src="https://cdnjs.cloudflare.com/ajax/libs/animejs/2.0.2/anime.min.js"></script>
    </div>
  </div> 


  <div class="AboutMe" id="aboutme">
      <div class="row">
        <div class="col-md-6">
          <p class="saya">Saya tinggal di <a href="https://www.google.com/maps/place/Depok+City,+West+Java/data=!4m2!3m1!1s0x2e69e95620a297d3:0x1cfd4042316fb217?sa=X&ved=2ahUKEwjH6prjso7sAhWEUn0KHab9BDIQ8gEwFXoECB0QBA"  target="_blank">Depok, Jawa Barat</a> <br>
            Saya adalah seorang <i>technology enthutiast</i> <br>
            Saya adalah mahasiswa <a href="https://ui.ac.id"  target="_blank">Universitas Indonesia</a> <br>
            Saya mengambil jurusan <a href="https://www.ui.ac.id/akademik/sarjana-reguler/fakultas-ilmu-komputer/program-sarjana-sistem-informasi.html"  target="_blank">Sistem Informasi</a> <br>
            Saya mampu berbahasa <a href="https://www.python.org/"  target="_blank">Python</a> dan <a href="https://www.java.com/en/"  target="_blank">Java</a> <br>
            Saya sedang berlatih membuat <a href="{% url 'comingsoon' %}">website</a> <br>
            Saya sekarang menjadi staff HRD di <a href="https://compfest.id/"  target="_blank">COMPFEST 12</a> <br> 
            Saya pernah menjadi staff Field Coor <a href="https://perak.cs.ui.ac.id/"  target="_blank">PERAK</a> <br>
            Saya senang travelling terutama wisata kuliner </p>
        </div>
        <div class="col-md-5">
          <a href="https://maung.id/muhammad.marsha" target="_blank" >
          <img class="mukaku" src="{% static 'JP35 .png' %}" alt="Muhammad Marsha Prawira">
        </a>
        </div>
      </div>
      <div class="pad">

      </div>
{% endblock content %} 
    

marsha/templates/navbar.html
{% load static %}
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
    <link rel="stylesheet" href="{% static 'style.css' %}">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.16.0/umd/popper.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
    <title>Welcome</title>
</head>
<body>
  <section id="home">
  <nav class="navbar navbar-expand-md navbar-light bg-transparant">
    <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#collapsibleNavbar">
        <span class="navbar-toggler-icon"></span>
    </button>

    <div class="collapse navbar-collapse" id="collapsibleNavbar">
        <ul class="navbar-nav mr-auto">

        </ul>
        <ul class="navbar-nav">
            <li class="nav-item">
                <a class="nav-link" href="{% url 'marsha' %}">Home</a>
            </li>
            <li class="nav-item">
              <a class="nav-link" href="{% url 'story1' %}">Story 1</a>
            </li>
            <li class="nav-item">
              <a class="nav-link" href="{% url 'matkul' %}">Mata kuliah</a>
            </li>
            <li class="nav-item">
              <a class="nav-link" href="{% url 'pamer' %}">Mau Pamer</a>
            </li>
            <li class="nav-item">
              <a class="nav-link" href="{% url 'mencari' %}">Mencari</a>
            </li>
            <li class="nav-item">
              <a class="nav-link" href="/story9/login/">Login</a>
            </li>
            <li class="nav-item">
              <a class="nav-link" href="#socmed">Social Media</a>
            </li>
        </ul>
    </div>
  </nav>
  </section>

{% block content %}{% endblock content %}


    <div id="socmed" class="nyom">
      <a href="https://instagram.com/marshaprwr" target="_blank">
        <img class="sosmed" src="{% static 'ig.png' %}"  alt="Instagram">
      </a>
      <a href="https://line.me/R/ti/p/marsha_mmp" target="_blank">
        <img class="sosmed" src="{% static 'line.png' %}"  alt="Line">
      </a>
      <a href="https://www.facebook.com/m.m.prawira" target="_blank">
        <img class="sosmed" src="{% static 'fb.png' %}"  alt="Facebook">
      </a>
      <a href="https://www.linkedin.com/in/muhammad-marsha-prawira-537521149/" target="_blank">
        <img class="sosmed" src="{% static 'li.png' %}" alt="LinkedIn">
      </a>
    </div>
      <button onclick="topFunction()" id="myBtn" title="Go to top">Home</button>
      <script src="{% static 'scr.js' %}"></script>
</body>
</html>

story1/templates/base.html
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <style>
        body {
            background-color: #242f44;
            color: red;
            font-family:'Oswald', sans-serif;
        }  
        header {
            text-align: center;
            font-size: 36px;
            padding: 15px;
            color: rgb(80, 8, 8);
            background-color: burlywood;
          }
        h1 {
            text-align: center;
            color:burlywood;
        }
        center {
            display: block;
            margin-left: auto;
            margin-right: auto;
            width: 50%;
        }
        article {
            text-align: center;
            font-size: 20px;
        }
        h2 {
            text-align: center;
            color: burlywood;
            font-size: 30px;
            
        }

        a {
            display: block;
            margin-left: auto;
            margin-right: auto;
            width: 17%;
        }
        body {
            background-color: #242f44;
            color: red;
                font-family:'Oswald', sans-serif;
        }
        
        
        header {
            text-align: center;
            margin-top: 5px;
        
        }

        .back {
            text-align: center;
            font-size: 50px;
        }

        .back:hover {
            
        }

    </style>
    <title>Diriku</title>
</head>
<body>
    {%block content %}

    {% endblock %}
    
</body>
</html>

story1/templates/rumah.html
{% extends 'base.html' %}
{% block content %}
{% load static %}
<header>Hello there! ^_^</header>
<div class="back">
<a href="{% url 'marsha' %}">Back to Home</a>
</div>
<h1>My name is {{ name }}</h1>

<a href="https://maung.id/muhammad.marsha" target="_blank" style="margin-bottom: 2.5em;">
    <img src= "{% static 'JP35.jpg' %}" alt="marsha" class= "center" width="300"/>
</a>

<h1>Here are some of my informations</h1>
<article>Age: {{ age }} years old</article>
<article>Faculty: {{ faculty }}</article>
<article>NPM : {{ npm }}</article>
<article>Hobby : {{ Hobby }}</article>

<p style="margin-bottom: 2.5em;">
    <h2>You can reach me at:</h2>
</p>

<section>
    <a href="https://twitter.com/marsha_mmp" target="_blank">
        <img src="{% static 'twitter.png' %}" 
        alt="twitter.com/marsha_mmp" width="80" style="float:right;">
    </a>

    <a href="https://instagram.com/marshaprwr" target="_blank">    
        <img src="{% static 'instagram-logo-png-2428.png' %}" 
        alt="instagram.com/marshaprwr" width="80" style="float:right;">
    </a>

    <a href="https://id.linkedin.com/in/muhammad-marsha-prawira-537521149" target="_blank">
        <img src="{% static '124011.png' %}" 
        alt="https://id.linkedin.com/in/muhammad-marsha-prawira-537521149" width="80" style="float:right;">
    </a>

    <a href="https://www.facebook.com/m.m.prawira" target="_blank">
        <img src="{% static 'fbb.png' %}" 
        alt="https://www.facebook.com/m.m.prawira" width="80" style="float:right;">
    </a>
</section>
{% endblock %}

story5/templates/detail.html
{% extends 'navbar.html' %}
{% load static %}
{% block content %}


<div style="background:transparent" class="jumbotron jumbotron-fluid">
    <div class="container">
      <h2 style="text-align: center;">{{post.nama}}</h2>
  </div> 
</div>

<center>
<p>Dosen pengajar</p>
<p style="color: gray;">{{post.dosen}}</p>
<p>{{post.sks}} sks</p>
<p>{{post.smt}} {{post.TA}}</p>
<p>Ruang {{post.ruang}}</p>
<p>Deskripsi</p>
<p style="color: gray;">{{post.deskripsi}}</p>
</div>
</center>

<div style="padding-top: 300px;"></div>
</div>
{% endblock content %} 

story5/templates/form.html
{% extends 'navbar.html' %}
{% load static %}
{% block content %}
<div style="background:transparent" class="jumbotron jumbotron-fluid">
    <div class="container">
      <h1 style="text-align: center;">Masukan mata kuliah!</h1>
  </div> 
</div>

<div class="center" >
    <form method="POST">
        {% csrf_token %}
        <div class="form-group">
        <table>
            {{data_form.as_table}}
        </table>
        </div>

        <button class="btn btn-primary" type="submit">Submit</button>
    </form>
</div>
<div style="padding-top: 300px;"></div>
    

{% endblock content %} 
    

story5/templates/matkul.html
{% extends 'navbar.html' %}
{% load static %}
{% block content %}

<button type="button" class="btn btn-primary">
    <a href="{% url 'forms' %}">Tambah</a>
</button>
    <table class="table table-borderless">
        <thead>
          <tr>
            <th scope="col">#</th>
            <th scope="col">Matkul</th>
            <th scope="col">Dosen</th>
            <th scope="col">SKS</th>
            <th scope="col">perintah</th>
          </tr>
        </thead>
        <tbody>
            {% for post in posts %}
            <tr>
                <th scope="row">{{forloop.counter}}</th>
                <td>{{post.nama}}</td>
                <td>{{post.dosen}}</td>
                <td>{{post.sks}}</td>
                <td>
                <div class="btn-group" role="group" aria-label="Basic example">
                    <a class="btn btn-primary" href="{% url 'detail' post.id %}" title="">Detail</a>
                    <a class="btn btn-danger" href="{% url 'delete' post.id %}" title="">Hapus</a>
                </div>  
                </td>
              </tr>
            {% endfor %}
        </tbody>
      </table>
      <div class="pad"></div>

{% endblock content %} 

story8/templates/search.html
{% extends 'navbar.html' %}
{% load static %}
{% block content %}
<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Story 8</title>
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.5.3/dist/css/bootstrap.min.css" integrity="sha384-TX8t27EcRE3e/ihU7zmQxVncDAy5uIKz4rEkgIXeMed4M0jlfIDPvg6uqKI2xXr2" crossorigin="anonymous">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">

    <!--Jquery-->
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
    <!--End Jquery-->

    <style>
        * {
            margin: 0px;
            padding: 0px;
            text-decoration: none;
            outline: none;
        }

        .jumbotron-fluid {
            background-color: #274156;
        }

        .display-3 {
            font-weight: bold;
        }


        h1 {
            font-size: 24px;
        }

        input[type="text"]{
            width: 100%;
            padding: 2%;
            border-color: #274156;
            border-radius: 10px;
            margin-bottom: 2%;
        }

        .col-md-4 {
            justify-content: center;
            display: flex;
        }

        .card{
            margin: 2%;
            border-radius: 15px;
            padding: 2%;
            border: 3px solid #274156;
        }

        .card-body a{
            cursor: pointer;
            text-decoration: none;
            color: #c4c4c4;
        }

        .card-body a:hover{
            text-decoration: none;
            color: #274156;
        }

        img {
            justify-content: center;
            display: flex;
            margin: auto;
            width: 50%;
        }
    </style>

</head>

<body>
    <div style="background:transparent" class="jumbotron jumbotron-fluid">
        <div class="container">
            <h1 class="display-3">Library</h1>
            <p class="lead">Search your favorite books here</p>
            <nav aria-label="breadcrumb">
                <ol class="breadcrumb">
                    <li class="breadcrumb-item"><a href="/">Home</a></li>
                    <li class="breadcrumb-item active" aria-current="page">Library</li>
                </ol>
            </nav>
        </div>
    </div>
    <div class="container">
        <input type="text" name="" id="keyword" placeholder="Search your favorite book ..." autocomplete="off">
    </div>
    <div style="padding-bottom: 500px;" class="container">
        <div id="daftar_isi"></div>
    </div>

</body>

<script type="text/javascript">
    $("#keyword").keyup(function(){
        var input = $("#keyword").val();

        //calling using ajax
        $.ajax({

            //direct url to google api's
            url: '/story8/library/?q=' + input,
            
            success: function(data){
                //assign items into array_items
                var array_items = data.items;

                $("#daftar_isi").empty();

                //iterate every items in array_items
                for(i = 0; array_items.length; i++){
                    //getting the title of the books
                    var title = array_items[i].volumeInfo.title;
                    var source_image = array_items[i].volumeInfo.imageLinks.smallThumbnail; 
                    var description = array_items[i].volumeInfo.description;
                    var read_more = array_items[i].volumeInfo.previewLink;
                    var image = "<img src=" + source_image + "class=" + "card-img" + ">"
                    $("#daftar_isi").append(
                        "<div class=" + "card mb-3" + "style=" + "max-width: 540px;" + ">" +
                            "<div class=" + "row no-gutters" + ">" +
                                "<div class=" + "col-md-4" + ">" +
                                    image +
                                "</div>" +
                                "<div class=" + "col-md-8" + ">" +
                                    "<div class=" + "card-body" + ">" +
                                        "<h5 class=" + "card-title" + ">" + title + "</h5>" +
                                        "<p class=" + "card-text" +">" + description + "</p>" +
                                        "<a href=" + read_more + "class=" + "btn btn-primary" + ">" + "Read More" + "</a>" +
                                    "</div>" +
                                "</div>" +
                            "</div>" +
                        "</div>"
                    );
                }
            }
        });
    });
</script>

</html>
{% endblock content %} 

story9/templates/logged_in.html
{% extends 'navbar.html' %}
{% load static %}
{% block content %}
<meta charset="UTF-8">
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<title>Hello {{nama}} !</title>
<link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css" integrity="sha384-JcKb8q3iqJ61gNV9KGb8thSsNjpSL0n8PARn9HuZOnIxN0hoP+VmmDGMN5t9UJ0Z" crossorigin="anonymous">

<link href="https://fonts.googleapis.com/css2?family=Rubik" rel="stylesheet">
<link href='https://fonts.googleapis.com/css?family=Roboto' rel='stylesheet'>

<script src="https://code.jquery.com/jquery-3.5.1.min.js"></script>

<style>
    /* KONTEN 404 PAGE */
#konten-404{
    color: black;
    text-align: center;
    margin-top: 50px;
}
.kotak-biru{
    padding: 10px 20px;
    margin: 0 auto;
    background-color: #0F4C75;
    border-radius: 10px;
    width: fit-content;
}
</style>

<div style="margin-bottom: 400px;">
    <br>
    <p id="p404">Hello, {{nama}} !</p>
    <br>
    <a href="logout" style="color: white;text-decoration: none;width: fit-content">
    <a href="logout"><button type="Button" class="btn btn-primary">Logout</button></a>
        <!-- <div class="kotak-biru">
            <p id="not-found">Logout</p>
        </div> -->
    </a>
</div>

{% endblock %}

story9/templates/login.html
{% extends 'navbar.html' %}
{% load static %}
{% block content %}
<meta charset="UTF-8">
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<title>Login</title>

<link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css" integrity="sha384-JcKb8q3iqJ61gNV9KGb8thSsNjpSL0n8PARn9HuZOnIxN0hoP+VmmDGMN5t9UJ0Z" crossorigin="anonymous">

<link href="https://fonts.googleapis.com/css2?family=Rubik" rel="stylesheet">
<link href='https://fonts.googleapis.com/css?family=Roboto' rel='stylesheet'>

<script src="https://code.jquery.com/jquery-3.5.1.min.js"></script>

<style>
#register {
    padding: 10px 20px;
    margin: 0 auto;
    border-radius: 10px;
    width: fit-content;
}
</style>

<br><br><br>
<div class="container" id="register" style="color: black;">
    <center>
        <h1>LOGIN</h1>
    </center>
    <form method="POST" class="form-group">
        {% csrf_token %}
        <center>
            <br>
            <table>
                {% for i in form %}
                <tr>
                    <td>{{i.label}}&nbsp;&nbsp;</td>
                    <td class="form-group">{{i}}</td>
                </tr>
                {% endfor %}
            </table>
            <br>
            <button type="submit" class="btn btn-primary">Login</button>
            <p>Don't have an account ? register <a href="{% url 'register9' %}">here</a></p>
        </center>
    </form>
</div>


{% endblock %}

templates/comingsoon.html
{% extends 'navbar.html' %}
{% load static %}
{% block content %}


<div style="background:transparent" class="jumbotron jumbotron-fluid">
    <div class="container">
      <h1 style="text-align: center;">Coming soon!</h1>
  </div> 
</div>


<div style="padding-top: 300px;">

</div>
{% endblock content %} 

templates/detail.html
{% extends 'navbar.html' %}
{% load static %}
{% block content %}


<div style="background:transparent" class="jumbotron jumbotron-fluid">
    <div class="container">
      <h2 style="text-align: center;">{{post.nama}}</h2>
  </div> 
</div>

<center>
<p>Dosen pengajar</p>
<p style="color: gray;">{{post.dosen}}</p>
<p>{{post.sks}} sks</p>
<p>{{post.smt}} {{post.TA}}</p>
<p>Ruang {{post.ruang}}</p>
<p>Deskripsi</p>
<p style="color: gray;">{{post.deskripsi}}</p>
</div>
</center>

<div style="padding-top: 300px;"></div>
</div>
{% endblock content %} 

templates/login.html
{% extends 'navbar.html' %}
{% load static %}
{% block content %}
<meta charset="UTF-8">
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<title>Login</title>

<link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css" integrity="sha384-JcKb8q3iqJ61gNV9KGb8thSsNjpSL0n8PARn9HuZOnIxN0hoP+VmmDGMN5t9UJ0Z" crossorigin="anonymous">

<link href="https://fonts.googleapis.com/css2?family=Rubik" rel="stylesheet">
<link href='https://fonts.googleapis.com/css?family=Roboto' rel='stylesheet'>

<script src="https://code.jquery.com/jquery-3.5.1.min.js"></script>

<style>
#register {
    padding: 10px 20px;
    margin: 0 auto;
    background-color: #0F4C75;
    border-radius: 10px;
    width: fit-content;
}
</style>

<br><br><br>
<div class="container" id="register" style="color: white;">
    <center>
        <h1>LOGIN</h1>
    </center>
    <form method="POST" class="form-group">
        {% csrf_token %}
        <center>
            <br>
            <table>
                {% for i in form %}
                <tr>
                    <td>{{i.label}}&nbsp;&nbsp;</td>
                    <td class="form-group">{{i}}</td>
                </tr>
                {% endfor %}
            </table>
            <br>
            <button type="submit" class="btn btn-primary">Login</button>
            <p>Don't have an account ? register <a href="{% url 'story9:register9' %}">here</a></p>
        </center>
    </form>
</div>


{% endblock %}